WordPress.org

Ready to get started?Download WordPress

Forums

Contact Form 7
Activation breakes post/page editor (12 posts)

  1. celsojmiranda
    Member
    Posted 2 years ago #

    Hi.

    I'm using Contact Form 7, version 3.1.

    When I activate the plugin, the default editor for posts and pages simply breaks. I can't edit anything and even the toolbar isn't shown.

    I've provided an image of the problem here.

    Steps I did trying to solve this issue:

    • disable all the plugins (except for Contact Form 7)
    • disable & re-enable Contact Form 7

    More Info:

    I'm using a normal wordpress instalation inside a dir but pointing to the root of the domain. ( Install> public_html/wp-folder Pointing to >www.something.zebra )

    I'm using a Page as a home page, and another one as my blog page.

    I'm using WP 3.1.1 in with the pt-PT translation.

    Thanks in advance.

    http://wordpress.org/extend/plugins/contact-form-7/

  2. Takayuki Miyoshi
    Member
    Plugin Author

    Posted 2 years ago #

    I'm using WP 3.1.1 in with the pt-PT translation.

    If this is true, I guess you see an error message on the plugin's admin panel suggesting to upgrade WordPress. Contact Form 7 3.1 requires WordPress 3.2 or higher.

  3. celsojmiranda
    Member
    Posted 2 years ago #

    Typo. I use 3.3.1 as defined in the sidebar of this post.

    Sorry.

  4. Takayuki Miyoshi
    Member
    Plugin Author

    Posted 2 years ago #

    OK. What theme do you use? What happens if you switch to the default thme?

  5. celsojmiranda
    Member
    Posted 2 years ago #

    The default theme. Twentyeleven without the header text. But I didn't mess around in the code or made my child theme yet :/

    UPDATE: Sorry for another typo.

  6. celsojmiranda
    Member
    Posted 2 years ago #

    I think it's something related to the combo Theme-Plugin.

    I changed to the Twenty Ten and all is fine, but if I change to the Twenty Eleven the editor is broken (only with the plugin activated).

    I made sure all the files were the default ones, so now I have to test the theme options so I can see if some option breaks the editor. So far, no luck.

  7. celsojmiranda
    Member
    Posted 2 years ago #

    Well, I've tried everything. I simply can't use Contact Form 7 with the Twenty Eleven Theme... :/

  8. Takayuki Miyoshi
    Member
    Plugin Author

    Posted 2 years ago #

    Well, I use them on several sites and have seen no problem.

    Can you capture Javascript errors with Firebug?

  9. celsojmiranda
    Member
    Posted 2 years ago #

    I don't know if I am doing it right.

    I get 3 errors in the console, but they are all the same:

    tinyMCE is not defined
    http://XXXXXXXXXXXXXX.net/XXXXXXXXXXXXXXX/wp-admin/load-scripts.php?c=1&load=admin-bar,hoverIntent,common,jquery-color,schedule,wp-ajax-response,autosave,suggest,wp-lists,jquery-ui-core,jquery-ui-widget,jquery-ui-mouse,jquery-ui-sortable,postbox,post,thickbox,media-upload,word-count,editor,quicktags,jquery-ui-resizable,jquery-ui-draggable,jquery-ui-button,jquery-ui-position,jquery-ui-dialog,wpdialogs,wplink,wpdialogs-popup,wp-fullscreen&ver=20cf4a99f757d3b9356fdb47aeb4c62c
    Line 488

    I have erased my domain and wordpress location with XXXX

  10. celsojmiranda
    Member
    Posted 2 years ago #

    I have tried "contact-form-7.3.0.2.1" and the bug disappears, so it's got something to do with the changes made for the 3.1 version.

    I'm reverting to the previous version until a new one arrives, hoping that the bug will not be present in future releases.

    Also, if there's anything more I can do to help you with this, feel free to ask. I will help to the best of my knowledge.

    Thanks for your time and help.

  11. Takayuki Miyoshi
    Member
    Plugin Author

    Posted 2 years ago #

    Try the development version (see bottom of "Other Versions").

  12. celsojmiranda
    Member
    Posted 2 years ago #

    I found out that the problem was related with the lack of php memory. Now it's all fixed, although I started getting this wierd error where the plugin didn't display the shortcode.

    I edited the file "controler.php" and changed the jquery-form version to 1.64. (Can't remember where I've seen this solution)

    So now, all is working as it should. Although if you want I can try the development version.

    Thanks once more for your help.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic